Index: testsuites/psxtests/Makefile.am
===================================================================
--- testsuites/psxtests/Makefile.am	(revision 187ef318e6df14db82592dc58e989abf16574b4a)
+++ testsuites/psxtests/Makefile.am	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -1326,12 +1326,22 @@
 ## lib_a_SOURCES += psxhdrs/monetary/strfmon.c
 ## lib_a_SOURCES += psxhdrs/monetary/strfmon_l.c
-## lib_a_SOURCES += psxhdrs/ftw/ftw.c            See ticket #2970
-## lib_a_SOURCES += psxhdrs/ftw/nftw.c           See ticket #2970
 
 ## Specific issues that tickets are tracking
-## lib_a_SOURCES += psxhdrs/dirent/dirfd.c       See ticket #3371
-## lib_a_SOURCES += psxhdrs/dirent/fdopendir.c   See ticket #3371
-## lib_a_SOURCES += psxhdrs/stdio/getdelim.c	 See ticket #3633
-## lib_a_SOURCES += psxhdrs/stdio/getline.c      See ticket #3633
+## lib_a_SOURCES += psxhdrs/dirent/dirfd.c         See ticket #3371
+## lib_a_SOURCES += psxhdrs/dirent/fdopendir.c     See ticket #3371
+## lib_a_SOURCES += psxhdrs/fenv/feclearexcept.c   See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fegetenv.c        See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fegetexceptflag.c See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fegetround.c      See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/feholdexcept.c    See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/feraiseexcept.c   See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fesetenv.c        See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fesetexceptflag.c See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fesetround.c      See ticket #2971
+## lib_a_SOURCES += psxhdrs/fenv/fetestexcept.c    See ticket #2971
+## lib_a_SOURCES += psxhdrs/ftw/ftw.c              See ticket #2970
+## lib_a_SOURCES += psxhdrs/ftw/nftw.c             See ticket #2970
+## lib_a_SOURCES += psxhdrs/stdio/getdelim.c	   See ticket #3633
+## lib_a_SOURCES += psxhdrs/stdio/getline.c        See ticket #3633
 endif
 
Index: testsuites/psxtests/psxhdrs/fenv/feclearexcept.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/feclearexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/feclearexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief feclearexcept() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  int b = 0;
+  return feclearexcept(b);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fegetenv.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fegetenv.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fegetenv.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief fegetenv() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  fenv_t a;
+  return fegetenv(&a);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fegetexceptflag.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fegetexceptflag.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fegetexceptflag.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,35 @@
+/**
+ *  @file
+ *  @brief fegetexceptflag() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  int a = 1;
+  fexcept_t b;
+  return fegetexceptflag(&b, a);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fegetround.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fegetround.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fegetround.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,33 @@
+/**
+ *  @file
+ *  @brief fegetround() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  return fegetround();
+}
Index: testsuites/psxtests/psxhdrs/fenv/feholdexcept.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/feholdexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/feholdexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief feholfexcept() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  fenv_t a;
+  return feholdexcept(&a);
+}
Index: testsuites/psxtests/psxhdrs/fenv/feraiseexcept.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/feraiseexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/feraiseexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief feraiseexcept() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  int b = 0;
+  return feraiseexcept(b);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fesetenv.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fesetenv.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fesetenv.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief fesetenv() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  fenv_t a;
+  return fegetenv(&a);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fesetexceptflag.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fesetexceptflag.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fesetexceptflag.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,35 @@
+/**
+ *  @file
+ *  @brief fesetexceptflag() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  int a = 0;
+  const fexcept_t b;
+  return fesetexceptflag(&b, a);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fesetround.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fesetround.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fesetround.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief fesetround() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  int b = 0;
+  return fesetround(b);
+}
Index: testsuites/psxtests/psxhdrs/fenv/fetestexcept.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/fetestexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/fetestexcept.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief fetestexcept() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  int b = 0;
+  return fetestexcept(b);
+}
Index: testsuites/psxtests/psxhdrs/fenv/feupdateenv.c
===================================================================
--- testsuites/psxtests/psxhdrs/fenv/feupdateenv.c	(revision da2621649ca002941c77295402b9052e128487ad)
+++ testsuites/psxtests/psxhdrs/fenv/feupdateenv.c	(revision da2621649ca002941c77295402b9052e128487ad)
@@ -0,0 +1,34 @@
+/**
+ *  @file
+ *  @brief feupdateenv() API Conformance Test
+ */
+
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Abhimanyu Raghuvanshi
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include <fenv.h>
+
+int test(void);
+
+int test(void)
+{
+  const fenv_t a;
+  return feupdateenv(&a);
+}
